petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSolve

Steps the requested number of timesteps.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSolve(TS ts,Vec u)

Collective on TS

### Input Parameter

| ts | - the TS context obtained from TSCreate()
| u | - the solution vector (can be null if TSSetSolution() was used and TSSetExactFinalTime(ts,TS_EXACTFINALTIME_MATCHSTEP) was not used, otherwise must contain the initial conditions and will contain the solution at the final requested time

### Notes

The final time returned by this function may be different from the time of the internally held state accessible by TSGetSolution() and TSGetTime() because the method may have stepped over the final time.

### Keywords

TS, timestep, solve

### See Also

TSCreate(), TSSetSolution(), TSStep(), TSGetTime(), TSGetSolveTime()

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html

### Implementations

TSSolve_GLLE in src/ts/impls/implicit/glle/glle.c
TSSolve_Radau5 in src/ts/impls/implicit/radau5/radau5.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages